Subject: Re: [PATCH v2 05/12] [POWERPC] Export mpc52xx_map_node() routine symbol

From: Marian Balakowicz <[email-masked]>
Date: Tue, 06 Nov 2007 13:23:56 +0100

Hi Stephan,

Stephen Rothwell wrote:
> 
> On Sun, 04 Nov 2007 00:52:40 +0100 Marian Balakowicz <[email-masked]> wrote:
>> -static void __iomem *
>> +void __iomem *
>>  mpc52xx_map_node(struct device_node *ofn)
>>  {
>>  	const u32 *regaddr_p;
>> @@ -48,6 +48,8 @@ mpc52xx_map_node(struct device_node *ofn)
>>  	return ioremap((u32)regaddr64, (u32)size64);
>>  }
>>  
>> +EXPORT_SYMBOL(mpc52xx_map_node);
>> +
> 
> We generally don't leave a blank line between a function an its
> EXPORT_SYMBOL().

Will fix that.

> Also, any reason not to use EXPORT_SYMBOL_GPL?

No, no particular reason, I used EXPORT_SYMBOL because it's used for
exporting symbols in this file. But that's good point, I'll switch  to
EXPORT_SYMBOL_GPL and I guess it would be nice to convert other
EXPORT_SYMBOL to EXPORT_SYMBOL_GPL as well, but that would be a
separate patch.

Cheers,
m.